Bug 744432 - Review Request: pyenet - python bindings for ENet
Summary: Review Request: pyenet - python bindings for ENet
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 16
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-08 16:34 UTC by Nelson Marques
Modified: 2012-07-25 11:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-25 11:48:24 UTC


Attachments (Terms of Use)

Description Nelson Marques 2011-10-08 16:34:34 UTC
Spec URL:
http://nmarques.fedorapeople.org/packages/pyenet/pyenet.spec
SRPM URL:
http://nmarques.fedorapeople.org/packages/pyenet/pyenet-0.0.0+svn24-0.fc15.src.rpm

Description: Pyenet was written originally by Scott Robinson <scott@tranzoa.com>,
its currently maintained by Andrew Resch <andrewresch@gmail.com> and
provides the python bindings for ENet.


Hi,

I'm submitting this package in order to fix and close brc#718430. Currently Unknown Horizons (subject of brc#718430) provides this file which goes against Fedora policies, this package should allow to remove the offending file from unknown-horizons package.

WARNING: This package requires enet >= 1.3.3, therefore it needs to be updated on Fedora (I'm unaware of the procedures to submit or request it's maintainer to update it, but it's necessary!). This package uses a pkgconfig() call to enet, which should be provided by version 1.3.3.

NM

Comment 1 Tom "spot" Callaway 2011-10-18 19:06:06 UTC
Updating enet requires that egoboo be updated as well. Updating egoboo requires physfs2 (only v1 is in Fedora right now). physfs2 requires lzma-sdk457.

I've packaged physfs2 and lzma-sdk457 for inclusion in Fedora, and I have egoboo and enet ready to update in F-16 and rawhide. Any help with their review bugs is appreciated:

https://bugzilla.redhat.com/show_bug.cgi?id=747092
https://bugzilla.redhat.com/show_bug.cgi?id=747093

Comment 2 Nelson Marques 2011-11-03 12:41:09 UTC
ping...

Comment 3 Tom "spot" Callaway 2011-11-03 14:16:08 UTC
As I wrote in comment 1, two new packages will need to be added to Fedora before this can proceed. If you can help review them, it will speed things along.

Comment 4 Nelson Marques 2011-12-22 12:14:00 UTC
Closing bug as WONTFIX. For further information please consider viewing this bug report[1].


[1] - https://bugzilla.redhat.com/show_bug.cgi?id=757352

Comment 5 Nelson Marques 2012-05-15 19:12:59 UTC
Re-opening the bug report since current events.

Stuff includes 'SRPM' and 'spec'.

Stuff: http://nmarques.fedorapeople.org/packages/python-enet/

Comment 6 Nelson Marques 2012-07-25 11:48:24 UTC
closing as wontfix


Note You need to log in before you can comment on or make changes to this bug.